unit [!UnitName];

interface

type
[!if=(AncestorName, "<NONE>")]
  T[!ClassName] = class
[!else]
  T[!ClassName] = class([!AncestorName])
[!endif]
  private
    { Private Declarations }
  public
    constructor Create;
  end;

implementation

constructor T[!ClassName].Create;
begin
  inherited Create;
  // TODO: Add any constructor code here
end;

end.
